/***************************************************************************
    expand.h    Command line formating expander header file
                             -------------------
    begin                : Mon Apr 12 2004
    copyright            : (C) 2004 by pharkas
    email                : pharkas@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/** \file expand.h
  * header file for target string expansion
  */
#ifndef TARGET_H
#define TARGET_H

#include <stdlib.h>
#include "mem.h"
#include "plugin.h"

/* red0x: what does this alter? */
#define MALLOC_INC 1.5

char *expand_target(char *, target_t *, int);
static void checksize(int);
int countdigits(int);
int print_hostname(char *, target_t *);
int print_ip(char *, target_t *);
int print_port(char *, int);
int print_portname(char *, int);

#endif
