/***************************************************************************
   mem.h - memory wrappers
                             -------------------
    begin                : Thurs Feb 05 2004
    copyright            : (C) 2004 by red0x
    email                : red0x@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/** \file mem.h
  *  File contains memory wrappers
  */

#include <stdlib.h>
#include <assert.h>

void *Calloc(size_t nmemb, size_t size);
void *Malloc(size_t size);
void *Realloc(void *ptr, size_t size);
